> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytring.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Beneficiary

This API is used to add a new beneficiary to the payout system.

### Request Body

```json theme={null}
{
  "name": "string", // Beneficiary name
  "email": "string", // Beneficiary email
  "phone": "string", // Beneficiary phone number
  "vpa": "string", // Virtual Payment Address (VPA)
  "account": {
    "account_no": "string", // Account number
    "ifsc": "string" // IFSC code
  }
}
```

### Responses

#### 200 OK

```json theme={null}
{
  "status": true,
  "beneficiary_id": "string"
}
```

#### 400 Bad Request

```json theme={null}
{
  "status": false,
  "error": {
    "message": "Invalid request",
    "code": 400
  }
}
```


## OpenAPI

````yaml POST /api/v2/payout/beneficiary/create
openapi: 3.1.0
info:
  title: Orchestration
  version: '1'
servers:
  - url: https://api.paytring.com
security:
  - sec0: []
paths:
  /api/v2/payout/beneficiary/create:
    post:
      summary: Add Beneficiary
      operationId: add-beneficiary
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - phone
                - email
                - address
                - account_number
                - ifsc
                - vpa
              properties:
                name:
                  type: string
                  description: Name of Beneficiary
                  default: user
                phone:
                  type: string
                  description: Phone no of Beneficiary. eg. 9900990099
                email:
                  type: string
                  description: Email of Beneficiary
                address:
                  type: string
                  description: Address of Beneficiary
                  default: delhi
                account_number:
                  type: string
                  description: Account Number of Beneficiary
                ifsc:
                  type: string
                  description: IFS Code of Beneficiary Account
                vpa:
                  type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "status": true,
                        "message": "Beneficiary Account Added successfully.",
                        "beneficiary_id": "59113xxxxxxxxx6"
                    }
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    example: true
                    default: true
                  message:
                    type: string
                    example: Beneficiary Account Added successfully.
                  beneficiary_id:
                    type: string
                    example: 59113xxxxxxxxx6
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "status": false,
                        "error": {
                            "message": "Hash is not verified",
                            "code": 204
                        }
                    }
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    example: false
                    default: true
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Hash is not verified
                      code:
                        type: integer
                        example: 204
                        default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````